<template>
    <div 
        :class="{ 'flex': isOpen, 'hidden': !isOpen }" 
        class="absolute z-50 right-0 top-0 w-[50%] h-full bg-[#fafafa] dark:bg-[#060818] shadow-lg duration-300 ease-out">
        <!-- Drawer content goes here -->
        <div class="panel h-full flex-1 overflow-auto p-0">
            <div class="flex h-full flex-col">
                <div>
                <div class="flex w-full flex-col gap-4 p-4 sm:flex-row sm:items-center">
                    <div class="flex items-center ltr:mr-3 rtl:ml-3">
                        <div class="group relative flex-1">
                            <h4 class="text-base font-medium ltr:mr-2 rtl:ml-2 md:text-lg" x-text="selectedMail.title">
                                Create Building</h4>
                        </div>
                    </div>
                    <div class="flex flex-1 items-center justify-center sm:flex-auto sm:justify-end">
                        <button 
                            type="button" 
                            class="absolute top-4 text-white-dark hover:text-dark ltr:right-4 rtl:left-4"
                            @click="$emit('close')">
                            <svg xmlns="http://www.w3.org/2000/svg" width="24px" height="24px" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round" class="h-6 w-6">
                                <line x1="18" y1="6" x2="6" y2="18"></line>
                                <line x1="6" y1="6" x2="18" y2="18"></line>
                            </svg>
                        </button>
                    </div>
                </div>
                <div class="relative p-4">
                    <slot></slot>
                </div>
            </div>
            </div>
        </div>
    </div>
</template>
  
<script setup lang="ts">
    defineProps<{
        isOpen?: Boolean,
    }>();

</script>